---
title: "List a Forecast timeline"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sureshake.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sureshake API › predictions

`GET /v2/entities/{entityId}/calls/{callId}/events`

## Path parameters

- `entityId` (`predictions-list-events.path.entityId`; any of, required)
  - any of: `string`, `string`
- `callId` (`predictions-list-events.path.callId`; string, required)
  - format `uuid`

## Code samples

### cURL

```bash
curl --request GET \
  --url 'https://api.sureshake.com/v2/entities/<entityId>/calls/<callId>/events'
```

### TypeScript

```typescript
const url = 'https://api.sureshake.com/v2/entities/<entityId>/calls/<callId>/events';
const options = {method: 'GET'};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sureshake.com/v2/entities/<entityId>/calls/<callId>/events"

response = requests.get(url)

print(response.text)
```

## Responses

### 200

Default Response

#### Example

```json
{
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "goalId": "eca7991a-9711-43cb-a95b-b261e3bcd08e",
      "eventType": "string",
      "actorUserId": "string",
      "payload": {
        "property1": null,
        "property2": null
      },
      "payloadHash": "string",
      "anchoredTx": "string",
      "anchoredAt": "2019-08-24T14:15:22Z",
      "createdAt": "2019-08-24T14:15:22Z"
    }
  ],
  "meta": {
    "total": 0,
    "limit": 0,
    "offset": 0,
    "hasMore": true,
    "page": 0,
    "totalPages": 0
  }
}
```

- `data` (`predictions-list-events.response.200.data`; array<object>, required)
  - `id` (`predictions-list-events.response.200.data.id`; string, required)
    - format `uuid`
  - `goalId` (`predictions-list-events.response.200.data.goalId`; string, required)
    - format `uuid`
  - `eventType` (`predictions-list-events.response.200.data.eventType`; string, required)
  - `actorUserId` (`predictions-list-events.response.200.data.actorUserId`; string, required, nullable)
  - `payload` (`predictions-list-events.response.200.data.payload`; map<unknown>, required, nullable)
  - `payloadHash` (`predictions-list-events.response.200.data.payloadHash`; string, required, nullable)
  - `anchoredTx` (`predictions-list-events.response.200.data.anchoredTx`; string, required, nullable)
  - `anchoredAt` (`predictions-list-events.response.200.data.anchoredAt`; string, required, nullable)
    - format `date-time`
  - `createdAt` (`predictions-list-events.response.200.data.createdAt`; string, required)
    - format `date-time`
- `meta` (`predictions-list-events.response.200.meta`; object, required)
  - `total` (`predictions-list-events.response.200.meta.total`; number, required) — Total number of items available
  - `limit` (`predictions-list-events.response.200.meta.limit`; number, required) — Number of items per page
  - `offset` (`predictions-list-events.response.200.meta.offset`; number, required) — Number of items skipped
  - `hasMore` (`predictions-list-events.response.200.meta.hasMore`; boolean, required) — Whether more items are available
  - `page` (`predictions-list-events.response.200.meta.page`; number, optional) — Current page number
  - `totalPages` (`predictions-list-events.response.200.meta.totalPages`; number, optional) — Total number of pages

### 400

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`predictions-list-events.response.400.error`; object, required)
  - `code` (`predictions-list-events.response.400.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`predictions-list-events.response.400.error.message`; string, required) — Human-readable error message
  - `details` (`predictions-list-events.response.400.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`predictions-list-events.response.400.error.traceId`; string, optional) — Unique ID for log correlation

### 401

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`predictions-list-events.response.401.error`; object, required)
  - `code` (`predictions-list-events.response.401.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`predictions-list-events.response.401.error.message`; string, required) — Human-readable error message
  - `details` (`predictions-list-events.response.401.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`predictions-list-events.response.401.error.traceId`; string, optional) — Unique ID for log correlation

### 403

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`predictions-list-events.response.403.error`; object, required)
  - `code` (`predictions-list-events.response.403.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`predictions-list-events.response.403.error.message`; string, required) — Human-readable error message
  - `details` (`predictions-list-events.response.403.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`predictions-list-events.response.403.error.traceId`; string, optional) — Unique ID for log correlation

### 404

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`predictions-list-events.response.404.error`; object, required)
  - `code` (`predictions-list-events.response.404.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`predictions-list-events.response.404.error.message`; string, required) — Human-readable error message
  - `details` (`predictions-list-events.response.404.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`predictions-list-events.response.404.error.traceId`; string, optional) — Unique ID for log correlation

### 409

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`predictions-list-events.response.409.error`; object, required)
  - `code` (`predictions-list-events.response.409.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`predictions-list-events.response.409.error.message`; string, required) — Human-readable error message
  - `details` (`predictions-list-events.response.409.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`predictions-list-events.response.409.error.traceId`; string, optional) — Unique ID for log correlation

### 500

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`predictions-list-events.response.500.error`; object, required)
  - `code` (`predictions-list-events.response.500.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`predictions-list-events.response.500.error.message`; string, required) — Human-readable error message
  - `details` (`predictions-list-events.response.500.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`predictions-list-events.response.500.error.traceId`; string, optional) — Unique ID for log correlation

### 503

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`predictions-list-events.response.503.error`; object, required)
  - `code` (`predictions-list-events.response.503.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`predictions-list-events.response.503.error.message`; string, required) — Human-readable error message
  - `details` (`predictions-list-events.response.503.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`predictions-list-events.response.503.error.traceId`; string, optional) — Unique ID for log correlation


Source: https://docs.sureshake.com/reference/predictions-list-events/index.md
